GFS_ACL_FROM_XATTR_V(3)

NAME
gfs_acl_from_xattr_value - convert an ACL binary data of Gfarm extended attribute to a Gfarm ACL

SYNOPSIS

#include <gfarm/gfarm.h>

gfarm_error_t gfs_acl_from_xattr_value(const void *xattr_value, size_t size, gfarm_acl_t *acl_p);

INPUT ARGUMENTS

xattr_value
    An ACL binary data from Gfarm extended attribute.

size
    The length of xattr_value.

acl_p
    A pointer of a converted ACL.

RETURN VALUES

GFARM_ERR_NO_ERROR
    The function terminated successfully.

GFARM_ERR_NO_MEMORY
    Insufficient memory was available.

Others
    An error except the above occurred. The reason is shown by gfarm_error_string(3).

SEE ALSO

gfs_acl_sort(3), gfs_acl_get_file(3), gfs_getxattr(3), gfs_acl_from_xattr_value(3)